Cyberduck Mountain Duck CLI

#11174 closed defect (duplicate)

Saving files will often not work

Reported by: dinisov Owned by: dkocher
Priority: highest Milestone: 7.7.0
Component: core Version: 7.6.0
Severity: major Keywords:
Cc: Architecture:
Platform: macOS 10.15

Description

Hello. I am using cyberduck from a Mac OS Catalina laptop connecting to a Ubuntu 18.04 server over ssh. There is a series of behaviours which are almost surely related. This is on an SFTP connection.

If I select a file by clicking once on it the selection jumps around randomly.

If I preview an image it jumps randomly to another image.

If I have a file open with sublime text editor saving it will often not work. I have to re-open the file and then save it quickly.

Please please please fix this it makes cyberduck almost unusable and there are no real alternatives to browse files easily over ssh.

Change History (15)

comment:1 Changed on Sep 16, 2020 at 10:03:33 AM by dinisov

  • Priority changed from normal to highest

comment:2 Changed on Oct 1, 2020 at 11:39:44 PM by Guybrush

Hello, I’m experiencing exactly the same problems... It seems those problems are related to Catalina only. Please, give us back our wonderful Cyberduck.

comment:3 Changed on Oct 2, 2020 at 10:23:15 AM by jmalek

Hi so … I tried it with Catalina 10.15.7, and latest Cyberduck 7.6.2.

Trying selection on single items on SFTP Ubuntu 18.04-server (Plesk-Installation):
Bildschirmvideo aufnehmen 2020-10-02 um 11.57.44.mov
Don't see any issue here.

Opening preview on a selected item:
Bildschirmvideo aufnehmen 2020-10-02 um 11.58.28.mov
Selecting a different item while Preview is open automatically previews the selected item - given your description this might be the case, as your selection jumps around randomly.

I do see an issue with Sublime Text, we'll look into.

Last edited on Oct 2, 2020 at 10:30:32 AM by jmalek (previous) (diff)

comment:4 Changed on Oct 2, 2020 at 10:41:13 AM by Guybrush

Please note the save problem occurs with Sublime Text, native TextEdit or Visual Code: if file is open for more than a few seconds, save function doesn't... save. Randomly, with a click on refresh button followed by a click on "edit" + a cmd+S the file will be saved. Thanks.

comment:5 Changed on Oct 5, 2020 at 9:52:06 AM by dkocher

  • Milestone set to 8.0
  • Owner set to dkocher
  • Status changed from new to assigned

comment:6 Changed on Oct 10, 2020 at 2:39:34 PM by dkocher

  • Milestone 8.0 deleted

The issue with erratic behaviour of selected files duplicates #11060.

comment:7 Changed on Oct 10, 2020 at 3:36:07 PM by dkocher

#11057 closed as duplicate with issues editing files in Xcode.

comment:8 Changed on Oct 10, 2020 at 3:36:12 PM by dkocher

  • Milestone set to 8.0

comment:9 Changed on Oct 10, 2020 at 3:36:35 PM by dkocher

  • Summary changed from Unstable behaviour when using cyberduck in Mac OS and connecting to linux server to Saving files will often not work

comment:10 Changed on Oct 10, 2020 at 3:42:25 PM by dkocher

  • Resolution set to duplicate
  • Status changed from assigned to closed

Duplicate for #11086.

comment:11 Changed on Nov 2, 2020 at 1:24:43 PM by dkocher

  • Milestone changed from 8.0 to 7.7.0

Milestone renamed

comment:12 Changed on Nov 2, 2020 at 1:26:44 PM by dkocher

  • Milestone changed from 7.7.0 to 7.7

Milestone renamed

comment:13 Changed on Dec 30, 2020 at 10:11:58 AM by dkocher

  • Milestone changed from 7.7 to 7.7.0

Milestone renamed

Note: See TracTickets for help on using tickets.